# 49. Query: obține date grilate din „FieldSatelliteImage”

Interogare pentru a obține date grilate din setul de date raster legat de "FieldSatelliteImage" ca `GEOJSON`  cu puncte sau `GEOTIFF`. Atributul properties depinde de furnizor și de obicei conține datele originale ale furnizorului (cum ar fi RED, GREEN, BLUE, NIR și chiar Clear Land) per punct/pixel. Mai multe detalii despre fișierul exportat pot fi găsite [AICI](/geopard-tutorials/ro/turul-produsului-aplicatia-web/export-descarcare/exportul-imaginilor-satelitare-ca-geotiff-sau-geojson.md).

#### 1. Solicitați un fișier pentru export

{% hint style="danger" %}
Se recomandă preluarea doar a unui singur set de date cu `sourceDataUrl` pe solicitare.&#x20;
{% endhint %}

`FărăBuffer`, `PlusUnPixel`, `PlusDouăPixeli`, `MinusUnPixel`, și `MinusDouăPixeli` sunt disponibile ca `buffer`.

`GEOJSON` și `GEOTIFF` sunt disponibile ca format.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        }
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Descărcați fișierul generat

După pregătirea cu succes a fișierului, este posibil să îl descărcați folosind `curl` sau o abordare similară.

{% hint style="danger" %}
`sourceDataUrl` linkul este accesibil doar pentru **60 sec.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatia-api/prezentarea-generala-a-solicitarilor-api-geopard/49.-query-obtine-date-grilate-din-fieldsatelliteimage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
